org.apache.ignite.internal.processors.igfs.secondary.local

## Class LocalFileSystemSizeVisitor

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.secondary.local.LocalFileSystemSizeVisitor

All Implemented Interfaces:
  FileVisitor<Path>

    public class LocalFileSystemSizeVisitor
    extends Object
    implements FileVisitor<Path>

File visitor to get occupied file system size.

### Constructor Summary

Constructors
Constructor and Description
`LocalFileSystemSizeVisitor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FileVisitResult` `postVisitDirectory(Path dir, IOException exc)`
`FileVisitResult` `preVisitDirectory(Path dir, BasicFileAttributes attrs)`
`long` `size()`
`FileVisitResult` `visitFile(Path file, BasicFileAttributes attrs)`
`FileVisitResult` `visitFileFailed(Path file, IOException exc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalFileSystemSizeVisitor

    public LocalFileSystemSizeVisitor()

### Method Detail

#### preVisitDirectory

    public FileVisitResult preVisitDirectory(Path dir,
                                             BasicFileAttributes attrs)
                                      throws IOException

Specified by:
  `preVisitDirectory` in interface `FileVisitor<Path>`
Throws:
  `IOException`

#### visitFile

    public FileVisitResult visitFile(Path file,
                                     BasicFileAttributes attrs)
                              throws IOException

Specified by:
  `visitFile` in interface `FileVisitor<Path>`
Throws:
  `IOException`

#### visitFileFailed

    public FileVisitResult visitFileFailed(Path file,
                                           IOException exc)
                                    throws IOException

Specified by:
  `visitFileFailed` in interface `FileVisitor<Path>`
Throws:
  `IOException`

#### postVisitDirectory

    public FileVisitResult postVisitDirectory(Path dir,
                                              IOException exc)
                                       throws IOException

Specified by:
  `postVisitDirectory` in interface `FileVisitor<Path>`
Throws:
  `IOException`

#### size

    public long size()

Returns:
  Total size of visited files.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020